﻿$ErrorActionPreference = 'Stop'

$toolsDir    = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    url            = 'https://the-sz.com/common/get.php?product=royal_pro'
    unzipLocation  = $toolsDir
    checksum       = 'c24e71cf7334ae40797b18303c53c3fda5fa817c4d420b334f3042b1b462fadf'
    checksumType   = 'sha256'
}
Install-ChocolateyZipPackage @packageArgs

New-Item "$toolsDir\Royal_pro.exe.gui" -Type File -Force | Out-Null
